Loading...
Searching...
No Matches
view_or_value.hpp File Reference

## Description

Provides bsoncxx::v_noabi::document::view_or_value.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::document
| Declares entities representing a BSON document.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::document
| Declares entities representing a BSON document.

## Typedefs

using | bsoncxx::document::view_or_value
| Equivalent to v_noabi::view_or_value<v_noabi::document::view, v_noabi::document::value>.
using | bsoncxx::v_noabi::document::view_or_value = v_noabi::view_or_value<v_noabi::document::view, v_noabi::document::value>
| Equivalent to v_noabi::view_or_value<v_noabi::document::view, v_noabi::document::value>.